<pr-cms-content-text
  *ngIf="data.contentType === 'text'"
  [data]="data.text"
></pr-cms-content-text>

<pr-cms-content-image
  *ngIf="data.contentType === 'image'"
  [data]="data.image"
></pr-cms-content-image>

<pr-cms-content-prahapracujewidget
  *ngIf="data.contentType === 'prahapracujewidget'"
  [header]="data.prahaPracujeWidget.header"
  [note]="data.prahaPracujeWidget.note"
></pr-cms-content-prahapracujewidget>

<pr-cms-content-widget
  *ngIf="data.contentType === 'widget'"
  [data]="data.widgetData"
  [settings]="data.widget"
></pr-cms-content-widget>

<ng-container *ngIf="data.contentType === 'share-info' && shareInfo != null">
  <pr-cms-content-share-info [data]="shareInfo"></pr-cms-content-share-info>
</ng-container>
